Subject: RE: Running fontforge.exe does nothing
From: "Dave \"No, not that one\" Korn" <[email-masked]>
To: <[email-masked]>
Cc: "'David Spector'" <[email-masked]>
Date: Tue, 24 Jun 2008 18:40:36 +0100
List-Id: <cygwin.cygwin.com>

David Spector wrote on 24 June 2008 13:42:

> Dave,
> 
> Thank you for your prompt and excellent response,
> which got lost somehow before I could see it in my
> incoming mail.

  NP, but can we keep this on the list please?  (See
http://cygwin.com/acronyms/#PPIOSPE for a few good reasons why to keep
discussion threads in the open instead of private mail.  For a start,
someone else might have had time sooner than me to answer this question...)

> When I follow your instructions, I find the following
> missing DLLs:
> 
> cygpng12.dll and cygxml2-2.dll
> 
> The fact that these start with "cyg" might indicate
> that these are part of cygwin. 

  Absolutely so.  In order to find out what cygwin package contains any
given file, you plug its name into the search box at
http://cygwin.com/packages/.  Doing so tells us that cygpng12.dll is part of
the libpng12 package, and that cygxml2-2.dll is part of the libxml2 package.

> Since I downloaded
> cygwin from the official site (or one of its mirrors)
> and followed the installation instructions, I have no
> idea what to do next. Any suggestions would be
> welcome.

  You'll need to re-run setup.exe just like you did when you followed the
fontforge install instructions (assuming you referred to
http://fontforge.sourceforge.net/ms-install.html), only this time select the
libpng12 and libxml2 packges.  They'll both be in the Libs category, rather
than the X11 category that you were told to look under last time.

> BTW, are you the famous David Korn who developed the
> Unix Korn shell at Bell Labs?

  :)  Get asked that a lot.  I refer you to my "From:" line!

    cheers,
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/